<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Analyzing Service Worker Security — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `enumerate --url <val>` | Enumerate registered Service Workers |
| `analyze --url <val> --check <val>` | Analyze SW security configuration |
| `test --url <val> --vector <val>` | Test for SW-based attacks |
| `report --url <val> --format <val>` | Generate SW security report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--url` | string | Yes | Url parameter |
| `--check` | string | Yes | Check parameter |
| `--vector` | string | Yes | Vector parameter |
| `--format` | string | Yes | Format parameter |
